Get subscriptions list

GEThttps://organization.dattaremit.com/api/subscriptions

Requires a organization-scoped key.

Retrieves a listing of subscriptions.

Required scope: subscriptions:read

Query Params

pageinteger

The page index to retrieve.

per_pageinteger

The number of entities per page to return.

guidstring

Comma separated subscription_guids to list subscriptions for.

environmentstring

Environment to list subscriptions for.

statestring

State to list subscriptions for.

Responses

200

Get list of subscriptions

400

Invalid requests

401

Unauthorized - Authentication failed

403

Invalid scope

Request

curl https://api.dattaremit.com/api/subscriptions \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

Get list of subscriptions

{
  "total": 1,
  "page": 1,
  "per_page": 1,
  "objects": [
    {
      "guid": "string",
      "organization_guid": "string",
      "name": "string",
      "type": "webhook",
      "url": "string",
      "signing_key": "string",
      "recipient": "string",
      "deliveries_failing_since": "2026-07-20T16:27:51.438Z",
      "environment": "string",
      "state": "string",
      "failure_code": "string",
      "created_at": "2026-07-20T16:27:51.438Z",
      "updated_at": "2026-07-20T16:27:51.438Z"
    }
  ]
}